### Method

# FwupdPlugin Device get_battery_threshold

since: 1.6.0

#### Declaration [src]

    guint
    fu_device_get_battery_threshold (
      FuDevice* self
    )

#### Description [src]

Returns the battery threshold under which a firmware update cannot be performed.

If `fu_device_set_battery_threshold()` has not been used, a default value is used instead.

Available since: 1.6.0

#### Return value

Type: `guint`

Value in percent.